<?php
/**
 * Plugin Name:   Trust List
 * Plugin URI:    https://jonpenland.com
 * Description:   Adds an example widget that displays the site title and tagline in a widget area.
 * Version:       1.0
 * Author:        Jon Penland
 * Author URI:    https://www.jonpenland.com
 */

class jpen_Trust_List extends WP_Widget {


  // Set up the widget name and description.
  public function __construct() {
    $widget_options = array( 'classname' => 'trust_list', 'description' => 'Display drop-down list of trust' );
    parent::__construct( 'trust_list', 'Trust List', $widget_options );
  }


  // Create the widget output.
  public function widget( $args, $instance ) {
    $title = apply_filters( 'widget_title', $instance[ 'title' ] );
    $blog_title = get_bloginfo( 'name' );
    $tagline = get_bloginfo( 'description' );

    if($title == 'Trust'){
      $curl_url = "https://collectpcts.mypiggycoins.com/public/api/merchant/6";
    }else{
      $curl_url = "https://collectpcts.mypiggycoins.com/public/api/merchant/12";
    }
    $ch = curl_init();
    $curlConfig = array(
        CURLOPT_URL            => $curl_url,
        CURLOPT_POST           => false,
        CURLOPT_RETURNTRANSFER => true,
    );
    curl_setopt_array($ch, $curlConfig);
    $result = curl_exec($ch);
    $response = json_decode($result);
    $data = $response->data;


    echo $args['before_widget'] . $args['before_title'] . $args['after_title'];
    // echo $args['before_widget'] . $args['before_title'] . $title . $args['after_title'];
     ?>
    

    <div class="dropdown">
      <button onclick="myFunction('<?php echo $title; ?>')" class="dropbtn"><?php echo $title; ?><img class="darrow" src="https://pcts.mypiggycoins.com/wp-content/uploads/2018/12/sort-down.png"></button>
      <div id="<?php echo $title; ?>" class="dropdown-content">
        <?php
          if(isset($data)){

            foreach ($data as $key => $mer) {

              // echo "<pre>";
              // print_r($mer);
              if($mer->payment_form == 1){
                $url = get_site_url()."/merchant/".$mer->slug;
                $logo_url = $mer->logo;
              }else{
                $url = $mer->payment_url;
                $logo_url = "https://collectpcts.mypiggycoins.com/public/uploads/merchant/".$mer->logo;
              }

            ?>
                <a href="<?php echo $url; ?>">
                  <!-- <img class='menu_logo' src='<?php echo $logo_url; ?>' width='30px' height='30px'> -->
                  <span class='menu_title'>
                    <?php echo $mer->name; ?>
                  </span>
                </a>
            <?php
            }
          }
        ?>
      </div>
    </div>
    <!-- <p><strong>Site Name:</strong> <?php echo $blog_title ?></p>
    <p><strong>Tagline:</strong> <?php echo $tagline ?></p> -->
    <?php echo $args['after_widget'];
  }

  
  // Create the admin area widget settings form.
  public function form( $instance ) {
    $title = ! empty( $instance['title'] ) ? $instance['title'] : ''; ?>
    <p>
      <label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
      <input type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr( $title ); ?>" />
    </p><?php
  }


  // Apply settings to the widget instance.
  public function update( $new_instance, $old_instance ) {
    $instance = $old_instance;
    $instance[ 'title' ] = strip_tags( $new_instance[ 'title' ] );
    return $instance;
  }

}

function enqueue_related_pages_scripts_and_styles(){
        wp_enqueue_style('related-styles', plugins_url('/css/style.css?ver=1', __FILE__));
        wp_register_script( 'related-scripts', plugins_url('js/popper.js',__FILE__ ));
        wp_enqueue_script('related-scripts');
    }
add_action('wp_enqueue_scripts','enqueue_related_pages_scripts_and_styles');

// Register the widget.
function jpen_register_trust_list() { 
  register_widget( 'jpen_Trust_List' );
}
add_action( 'widgets_init', 'jpen_register_trust_list' );

?>