# Suffice
**Author**: ThemeGrill
**Requires** at least: WordPress 4.3
**Tested up to**: WordPress 4.8
**Version**: 1.1.1
**License**: GPLv3 or later
**License URI**: https://www.gnu.org/licenses/gpl-3.0.en.html
**Tags**: one-column, two-columns, left-sidebar, right-sidebar, grid-layout, custom-background, custom-colors, custom-logo, featured-images, footer-widgets, full-width-template, theme-options, threaded-comments, translation-ready, blog, e-commerce, portfolio

## Description
Suffice is a highly flexible multipurpose WordPress theme that is beautifully crafted with the great attention to details. This theme is not just stunning by its clean and sleek design but is equally powerful by its galore of awe-inspiring features. Integration to SiteOrigin’s page builder and Suffice Toolkit plugin makes it one of the most customizable and easy to use themes. In addition, it is completely compliant with WooCommerce and uses the best SEO practices for top-notch performance of your website. This theme also offers you a wide range of unique demos from which you can choose any to create your own cutting edge website. Also, Suffice features versatile header styles, advanced color options, multiple widget areas and premium widgets. Hence, with this simple drag and drop theme, you can easily have your site up and running in no time.

For more information about Suffice please go to https://themegrill.com/themes/suffice/

## Installation

1. In your admin panel, go to Appearance -> Themes and click the 'Add New' button.
2. Type in Suffice in the search form and press the 'Enter' key on your keyboard.
3. Click on the 'Activate' button to use your new theme right away.
4. Go to https://themegrill.com/themes/suffice/ for a guide on how to customize this theme.
5. Navigate to Appearance > Customize in your admin panel and customize to taste.

## Copyright and License
External resources linked to the theme.
* Open Sans by Steve Matteson https://fonts.google.com/specimen/Open+Sans
  Apache License, Version 2.0
* Poppins by Indian Type Foundry https://fonts.google.com/specimen/Poppins
  Open Font License

Suffice WordPress Theme, Copyright (c) 2017, ThemeGrill
Suffice is distributed under the terms of the GNU GPL

Code ideas for the color scheme was borrowed from Twenty Sixteen. © Copyright 2014-2015 WordPress.org - GPL v2.0

Suffice Theme bundles the following third-party resources:

Font Awesome icon font, Copyright © 2015, Dave Gandy,
Font License: SIL OFL 1.1, http://scripts.sil.org/OFL
Code License: MIT License, http://www.opensource.org/licenses/MIT
Source: http://fontawesome.io/

Isotope, Copyright © 2015, Metafizzy,
License: GNU GPL, Version 3, https://www.gnu.org/licenses/gpl-3.0.html
Source: http://isotope.metafizzy.co/

countUp.js, Copyright © 2015, inorganik
License: MIT License, http://www.opensource.org/licenses/MIT
Source: https://github.com/inorganik/countUp.js/

gumshoe, Copyright © 2016, Chris Ferdinandi
License: MIT License, http://www.opensource.org/licenses/MIT
Source: https://github.com/cferdinandi/gumshoe

Swiper, Copyright © 2016, nolimits4web
License: MIT License, http://www.opensource.org/licenses/MIT
Source: http://idangero.us/swiper/

Waypoints, Copyright (c) 2011-2014, Caleb Troughton
License: MIT License, http://www.opensource.org/licenses/MIT
Source: http://imakewebthings.com/waypoints/

Kirki, Copyright (c) 2016 Aristeides Stathopoulos
License: MIT License, http://www.opensource.org/licenses/MIT
Source: https://github.com/aristath/kirki

headroom.js, Copyright (c) 2016 Nick Williams
License: MIT License, http://www.opensource.org/licenses/MIT
Source: http://wicky.nillia.ms/headroom.js

jquery.visible.js, Copyright (c) 2012, Digital Fusion
License: MIT License, http://www.opensource.org/licenses/MIT
Source: https://github.com/customd/jquery-visible

perfect-scrollbar.jquery.js, Copyright (c) 2012-2017 Hyunje Jun
License: MIT License, http://www.opensource.org/licenses/MIT
Source: https://github.com/noraesae/perfect-scrollbar

ResizeSensor, Copyright Marc J. Schmidt
License: MIT License, http://www.opensource.org/licenses/MIT
Source: https://github.com/procurios/ResizeSensor

smooth-scroll, Copyright (c) 2016 Chris Ferdinandi
License: MIT License, http://www.opensource.org/licenses/MIT
Source: http://github.com/cferdinandi/smooth-scroll

Theia Sticky Sidebar, Copyright 2013-2016 WeCodePixels
License: MIT License, http://www.opensource.org/licenses/MIT
Source: https://github.com/WeCodePixels/theia-sticky-sidebar

TGM-Plugin-Activation, Copyright (c) 2016 TGM
License: GNU GPL, Version 2, http://www.gnu.org/licenses/gpl-2.0.html
Source: https://github.com/TGMPA/TGM-Plugin-Activation

Images used in Screenshot:
Logo, Copyright © 2017, ThemeGrill
License: GNU GPL, Version 3, https://www.gnu.org/licenses/gpl-3.0.html

Slider Image, Copyright © 2017, ThemeGrill
License: GNU GPL, Version 3, https://www.gnu.org/licenses/gpl-3.0.html

Unless otherwise specified, all the theme files, scripts and images including the screenshot image are licensed under [GNU GPL] (http://www.gnu.org/licenses/gpl-3.0.txt), version 3 or later.

## Changelog
### Version 1.1.2 - 2018-09-06
* Update - Upsell link

### Version 1.1.1 - 2018-03-28
* Fix - Mobile menu not closing on menu item click for onepage.

### Version 1.1.0 - 2017-11-15
* Fix 	- Vertical scrollbar not working on mobile navigation
* Tweak - Kirki updated to `v3.0.15`

### Version 1.0.10 - 2017-08-31
* Fix - Sticky header sliding completely upwards when header is center and menu is set to offcanvas
* Tweak - get_theme_mod changed to suffice_get_option
* Fix - Sticky header settings not working on customizer but works on front-end
* Fix - sub menu is way too downwards and not able to hover
* Add - Close icon on offcanvas menu
* Tweaks - Add icons on customizer option

### 1.0.9 - 2017-08-18
* Fix - Excerpt on single post

### 1.0.8 - 2017-08-07
* Tweaks - Enqueue google fonts
* Add - Editor Style
* Tweaks - Kirki toolkit update
* Tweaks - Added upsell links
* Tweaks - Added demo preview link for Suffice Pro
* Fix - Color scheme control
* Fix - widget title button not working on customizer
* Fix - Footer widgets on mobile
* Fix - Top header on mobile

### 1.0.7 - 2017-07-13
* Fix - Slider overlaying mobile menu
* Fix - Link color effecting meta links
* Fix - Close button not working on full screen menu
* Fix - Sidebar padding issue on mobile devices
* Tweaks - Header top info is centered now

### 1.0.6 - 2017-07-12
* Fix - Link color effecting link of mobile menu
* Fix - Height Increasing on mobile menu
* Fix - Tap on mobile menu not cycling through menu
* Tweaks - Search form on mobile is centered
* Add - New responsive style for call to action
* Add - New responsive style for slider

### 1.0.5 - 2017-07-10
* Fix - Access margin on sticky header
* Fix - Slider caption not getting smaller on mobile devices

### 1.0.4 - 2017-07-07
* Tweaks - Introduce theme Welcome Page

### 1.0.3 - 2017-07-06
* Tweaks - Recommend ThemeGrill Demo Importer plugin
* Fix - Height issue of sticky header
* Fix - Mobile menu height

### 1.0.2 - 2017-07-05
* Fix - Include README.md file

### 1.0.1 - 2017-05-20
* Tweaks - Screenshot changed
* Tweaks - Some Enhancements

### 1.0.0 - 2017-05-03
* Initial Release
